#include "pivaluetree_edit_plugin.h"

#include "pivaluetree_edit.h"

#include <QtCore/QtPlugin>


PIValueTreeEditPlugin::PIValueTreeEditPlugin(QObject * parent): QObject(parent) {
	m_initialized = m_designer = false;
}


void PIValueTreeEditPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	m_designer = true;
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool PIValueTreeEditPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * PIValueTreeEditPlugin::createWidget(QWidget * parent) {
	return new PIValueTreeEdit(parent);
}


QString PIValueTreeEditPlugin::name() const {
	return QLatin1String("PIValueTreeEdit");
}


QString PIValueTreeEditPlugin::group() const {
	return QLatin1String("Editor Widgets");
}


QIcon PIValueTreeEditPlugin::icon() const {
	return QIcon(":/icons/valuetreeeditor.png");
}


QString PIValueTreeEditPlugin::toolTip() const {
	return QLatin1String(""); // QLatin1String("Widget for display any math graphics with grid and navigation");
}


QString PIValueTreeEditPlugin::whatsThis() const {
	return QLatin1String("");
}


bool PIValueTreeEditPlugin::isContainer() const {
	return false;
}


QString PIValueTreeEditPlugin::domXml() const {
	return QLatin1String("<widget class=\"PIValueTreeEdit\" name=\"valueTreeEdit\">\n</widget>\n");
}


QString PIValueTreeEditPlugin::includeFile() const {
	return QLatin1String("pivaluetree_edit.h");
}
